update
Report
update
Update a Report Resolution
This endpoint allows the user to update a specific report by sending an HTTP PATCH request to the specified URL. The request should include the report ID in the URL and a payload in the raw request body type, with the “isResolved” field indicating whether the report is resolved or not.
Response
The response for this request is a JSON object with the following schema:
{
"type": "object",
"properties": {
"data": {
"type": "object",
"properties": {
"updatedReport": {
"type": "object",
"properties": {
"_id": {
"type": "string"
},
"review": {
"type": "string"
},
"reporter": {
"type": "string"
},
"reason": {
"type": "string"
},
"isResolved": {
"type": "boolean"
},
"createdAt": {
"type": "string"
},
"updatedAt": {
"type": "string"
},
"__v": {
"type": "integer"
}
}
}
}
},
"error": {
"type": "null"
}
}
}
PATCH
update